/*
 * @Author: wjc
 * @Date: 2022-04-18 10:59:09
 * @LastEditors: wjc
 * @LastEditTime: 2022-04-22 15:28:01
 * @Description: 
 */
class SmartDevicesDetailListModel {
  String? id;
  String? action;
  String? time;
  String? createdBy;
  String? content;

  SmartDevicesDetailListModel({
    this.id,
    this.action,
    this.time,
    this.createdBy,
    this.content,
  });

  SmartDevicesDetailListModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    action = map['action'];
    time = map['time'];
    createdBy = map['createdBy'];
    content = map['content'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['action'] = this.action;
    json['time'] = this.time;
    json['createdBy'] = this.createdBy;
    json['content'] = this.content;

    return json;
  }
}
